Замена OpenX

замена openxСвершилось!

Наконец-то нашлись люди взявшие на себя труд поддерживать бесплатную банерокрутилку. Теперь этот проект называется revive-adserver. Проект стартовал летом 2013 года и на сегодняшний день выпущена версия 3.0.2 полностью совместимая с OpenX

Требования в веб-серверу

  • Apache с mod_php или другой веб-сервер с поддержкой FastCGI (nginx, IIS 7+, lighttpd, и т.д.)
  • PHP 5.1.4+, 5.2.x, 5.3.x, 5.4.20+, 5.5.2+
  • Необходимо наличие установленых расширений PHP: zlib, pcre, xml, mysql и/или pgsql
  • Дополнительные расширения PHP: curl и/или openssl, gd, любой кешер опкода (opcache, apc, eaccelerator, xcache)

Требования к БД

  • MySQL 4.1+
  • PostgreSQL 8.1+

Процедура апдейта стандартно

  • Скачиваем, распаковываем
  • Копируем содержимое папки www/images с рабочей инталяции в папку www/images новой инсталяции
  • Аналогично с конфигом, он у нас в папке var/
  • Копия БД обязательна, можно и дамп сделать

Далее я делаю возможно несколько брутально, чем тут написано, но мне потом лениво конфиг менять. Переименовываю папку с рабочей инсталяцией в любое другое имя. Папку с новой инсталяцией пишу на место старой. Таким образом для веб-сервера ничего не должно измениться. Далее в браузере заходим по линку банерокрутилки и следуем инструкциям мастера. Если выполняется переход с OpenX 2.8.x, то на определённом этапе потребуется указать полный путь к плагинам старой банерокрутилки

У меня апдейт с OpenX 2.8 прошёл гладко. Статистика считается. Несказанно порадовала поддержка php 5.4/5.5, латание дыр, количество таблиц в БД уменьшилось с 66 до 57

You are currently using Revive Adserver v3.0.2 running on nginx 1.4.4, PHP 5.4.25 and MySQL 5.5.33a-MariaDB

Александр Черных
системный администратор

Статьи по теме